
Redmine - Defect #4530

Can't delete ldap when users count is zero in 0.9-stable

2010-01-07 06:43 - Sheng Wang

Status: Closed Start date: 2010-01-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version: 0.8.7

Description

Specific URL:

http://foo.bar/auth_sources/list

Related Code(app/views/auth_sources/list.rhtml)：

<%= link_to l(:button_delete), { :action => 'destroy', :id => source },

                                                        :confirm => l(:text_are_you_sure),

                                                        :class => 'icon icon-del',

                                                        :disabled => source.users.any? %>

 The link_to method does not contain  :disabled options.

I think this problem is caused by code change(button_to have been replaced by link_to).

Associated revisions

Revision 3282 - 2010-01-07 21:56 - Jean-Philippe Lang

Fixed: 'Delete' link on LDAP list has no effect (#4530).

History

#1 - 2010-01-07 21:49 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.0

- Affected version (unused) set to 0.8.7

- Resolution set to Fixed

- Affected version set to 0.8.7

Fixed in r3282.

#2 - 2010-01-09 10:57 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3287.
